﻿@model SSTC.Models.ProjectDTO
@{
    ViewBag.Title = "Dodawanie projektu";
}

<h2>Dodaj projekt</h2>

<div align="center">

    <form class="form-signin" _lpchecked="1" method="post">

        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)
        <font color="red" class="message">@TempData["Message"]</font><br />
        <h1 class="h3 mb-3 font-weight-normal">Dane projektu:</h1>

        <p align="left" style="margin-left:20px; font-weight: bold;">Nazwa projektu:</p>
        @Html.TextBoxFor(a => a.project.Name, new { @class = "form-control", id = "Name", required = "true", value = Model.project.Name })
        <br />
        <p align="left" style="margin-left:20px; font-weight: bold;">Imię kierownika projektu:</p>
        @Html.DropDownListFor(a => a.managerId, new SelectList(Model.userList, "Id", "Name"), new { @class = "form-control", value = Model.managerId })
        <br />
        <p align="left" style="margin-left:20px; font-weight: bold;">Cena projektu:</p>
        @Html.TextBoxFor(a => a.project.Price, new { @class = "form-control", id = "Price", required = "true", value = Model.project.Price })
        <br />
        <p align="left" style="margin-left:20px; font-weight: bold;">Data startu projektu:</p>
        @Html.TextBoxFor(a => a.project.ProjectStart, new { @class = "form-control", id = "ProjectStart", required = "true", type = "date", value = Model.project.ProjectStart })
        <br />
        <p align="left" style="margin-left:20px; font-weight: bold;">Data zakończenia projektu:</p>
        @Html.TextBoxFor(a => a.project.ProjectEnd, new { @class = "form-control", id = "ProjectEnd", required = "true", type = "date", value = Model.project.ProjectEnd })
        <br />
        <p align="left" style="margin-left:20px; font-weight: bold;">Liczba godzin:</p>
        @Html.TextBoxFor(a => a.project.PayedHours, new { @class = "form-control", id = "PayedHours", required = "true", value = Model.project.PayedHours })
        <br />
        <p align="left" style="margin-left:20px; font-weight: bold;">Pozwól na nadgodziny?:</p>
        @Html.CheckBoxFor(a => a.project.Overtime, new { @class = "form-control", id = "Overtime", value = Model.project.Overtime })
        <br />
        @Html.HiddenFor(a => a.categoryId)
        <input class="btn btn-lg btn-primary btn-block" type="submit" value="Dodaj" />
    </form>
</div>

